For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HUMAN DashboardHUMAN WebsiteRequest a Demo
Product GuidesEnforcer GuidesMobile SDKAPI ReferenceCustomer support
Product GuidesEnforcer GuidesMobile SDKAPI ReferenceCustomer support
  • User guides
    • About the Applications API
    • Getting started
    • Authentication
    • Quick reference
  • Account Defender API
  • Adaptive Feedback API
    • About the Adaptive Feedback API
      • GETGet alert status by request ID
      • POSTSend an alert
  • Bot Defender API
  • Credential Intelligence API
  • Code Defender API
    • Code Examples
  • Enforce API
  • PCI DSS API
LogoLogo
Login
Login
HUMAN DashboardHUMAN WebsiteRequest a Demo
Adaptive Feedback APIAlerts

Get alert status by request ID

GET
https://api.humansecurity.com/v1/platform/external/alerts/status/:requestId
GET
/v1/platform/external/alerts/status/:requestId
$curl https://api.humansecurity.com/v1/platform/external/alerts/status/requestId \
> -H "Authorization: Bearer <token>"
1{
2 "created_at": "2023-10-01T12:00:00Z",
3 "failure_reason": "GeneralError",
4 "status": "finished",
5 "updated_at": "2023-10-01T12:00:00Z"
6}
Get the status of a request by its ID.
Was this page helpful?
Previous

Send an alert

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

requestIdstringRequired
The unique ID of the request to query.

Response

Success
created_atstringformat: "date-time"
The time alert was created in UTC.
failure_reasonenum
statusenum
updated_atstringformat: "date-time"
The time the alert was last updated in UTC.

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error